Loading...
Searching...
No Matches
canon.cpp File Reference
`#include <openbabel/canon.h>`
`#include <openbabel/graphsym.h>`
`#include <openbabel/babelconfig.h>`
`#include <openbabel/mol.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/obutil.h>`
`#include <openbabel/elements.h>`
`#include <openbabel/stereo/cistrans.h>`
`#include <openbabel/stereo/tetrahedral.h>`
`#include <iterator>`
`#include <cassert>`
`#include <algorithm>`
`#include <cmath>`
`#include <limits>`
`#include "stereo/stereoutil.h"`

## Namespaces

namespace | OpenBabel

## Macros

#define | DEBUG 0
#define | MAX_IDENTITY_NODES 50

## Functions

template<typename T>
void | print_vector (const std::string &label, const std::vector< T > &v)
static unsigned int | TotalHydrogenCount (OBAtom *atom)
bool | CompareBondPairSecond (const std::pair< OBBond *, unsigned int > &a, const std::pair< OBBond *, unsigned int > &b)
void | addNbrs (OBBitVec &fragment, OBAtom *atom, const OBBitVec &mask, const std::vector< OBBond * > &metalloceneBonds)
OBBitVec | getFragment (OBAtom *atom, const OBBitVec &mask, const std::vector< OBBond * > &metalloceneBonds=std::vector< OBBond * >())
OBBitVec | getFragment (OBAtom *atom, OBAtom *skip, const OBBitVec &mask)
bool | isFerroceneBond (OBBond *bond)
void | findMetalloceneBonds (std::vector< OBBond * > &bonds, OBMol *mol, const std::vector< unsigned int > &symmetry_classes)
void | CanonicalLabels (OBMol *mol, const std::vector< unsigned int > &symmetry_classes, std::vector< unsigned int > &canonical_labels, const OBBitVec &mask=OBBitVec(), int maxSeconds=5, bool onlyOne=false)

## Detailed Description

Canonical numbering of SMILES, molecules and fragments.

## Macro Definition Documentation

## DEBUG

#define DEBUG 0

Referenced by OpenBabel::FindAutomorphisms().

## MAX_IDENTITY_NODES

#define MAX_IDENTITY_NODES 50

## Function Documentation

## print_vector()

template<typename T>

void print_vector | ( | const std::string & | label,
|  | const std::vector< T > & | v )